library IEEE;
library work;

use IEEE.STD_LOGIC_1164.ALL;
use IEEE.NUMERIC_STD.ALL;
use work.rtm_detector_pkg.ALL;

entity rtm_detector is
   generic(g_identifier_RTMM : t_RTMM;
           g_identifier_RTMP : t_RTMP);
   port (RTMM_i     : in STD_LOGIC_VECTOR(2 downto 0);
         RTMP_i     : in STD_LOGIC_VECTOR(2 downto 0);
         ok_RTMM_o  : out STD_LOGIC;
         ok_RTMP_o  : out STD_LOGIC);
end rtm_detector;

architecture Behavioral of rtm_detector is

   signal s_identifier_RTMM    : UNSIGNED(2 downto 0)
                                             := f_UNSIGNED(g_identifier_RTMM);
   signal s_identifier_RTMP    : UNSIGNED(2 downto 0)
                                             := f_UNSIGNED(g_identifier_RTMP);
   signal s_RTMM               : UNSIGNED(2 downto 0);
   signal s_RTMP               : UNSIGNED(2 downto 0);

begin

   s_RTMM    <= UNSIGNED(RTMM_i);
   s_RTMP    <= UNSIGNED(RTMP_i);

   ok_RTMM_o <= '1' when s_RTMM = s_identifier_RTMM
                    else '0';
   ok_RTMP_o <= '1' when s_RTMP = s_identifier_RTMP
                    else '0';

end Behavioral;
